
%global meadversion 1.15.0
%global namedversion 1.15.0.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 2
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}snakeyaml}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.15.0.redhat-1

Name:           %{?scl_prefix}snakeyaml
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        SnakeYAML
Group:          Development/Java

%if %with mead
Source100: snakeyaml-1.15.0.redhat-1-scm-sources.zip
Source102: snakeyaml-1.15.0.redhat-1-sources.jar
Source103: snakeyaml-1.15.0.redhat-1.pom
Source104: snakeyaml-1.15.0.redhat-1.jar
Source105: snakeyaml-1.15.0.redhat-1-javadoc.jar
Source106: snakeyaml-1.15.0.redhat-1-project-sources.tar.gz
%endif

License:        ASL 2.0
URL:            http://www.snakeyaml.org
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
YAML 1.1 parser and emitter for Java.

%if %with javadoc
%package javadoc
Summary:        Javadoc for snakeyaml
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n snakeyaml -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/snakeyaml-%{namedversion}.jar %{buildroot}%{_javadir}/snakeyaml-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/snakeyaml-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/snakeyaml-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/snakeyaml-%{namedversion}-sources.jar %{buildroot}%{_javadir}/snakeyaml-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/snakeyaml-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/snakeyaml-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/snakeyaml-%{namedversion} -x META-INF/\*
%{__ln_s} snakeyaml-%{namedversion} %{buildroot}%{_javadocdir}/snakeyaml
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt README.md
%{_javadir}/snakeyaml-%{namedversion}.jar
%{_javadir}/snakeyaml.jar
%if %with javadoc
%{_javadir}/snakeyaml-%{namedversion}-javadoc.jar
%{_javadir}/snakeyaml-javadoc.jar
%endif
%{_javadir}/snakeyaml-%{namedversion}-sources.jar
%{_javadir}/snakeyaml-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/snakeyaml-%{namedversion}
%{_javadocdir}/snakeyaml
%endif

%changelog
* Wed May 13 2015 Fernando Nasser <fnasser@redhat.com> - 1.15.0-2.redhat_1.1
- Re-wrap to include RHEL-6

* Thu Apr 30 2015 David Walluck <dwalluck@redhat.com> - 1.15.0-1.redhat_1.1
- release

